RelayState Configurations
The RelayState identifies the specific widget being requested. If omitted, the SAMLReponse will open the master widget by default. The MX system expects the RelayState to be passed as a separate parameter in the form post and not as an attribute inside of the SAMLResponse.
_10<form action=“https://int-app.moneydesktop.com/login/{client_id}” method=“POST”>_10 <input type=“hidden” name=“RelayState” value=“:widget_name” />_10 <input type=“hidden” name=“SAMLResponse” value=“:response” />_10 ..._10 <input type="submit" value="submit" />_10</form>
Supported Widget Names
addaccounts: Theaddaccountswidget has been deprecated. Please use theconnectionswidget in new SAML requests.accountsbudgetscashflowconnectconnectionsfinstronggoalsinvestmentsmasternetworthsettingsspendingtransactions
RelayState configuration options
The following configuration options can be passed in the config object under the nested widget name to add specific configuration features to that widget.
info
Boolean fields default to false unless otherwise specified.
_10{ _10 "widget":"connections",_10 "clientConfig":{ _10 "connections":{ _10 "hide_mark_as_duplicate":true_10 }_10 }_10}
| Configuration Option | Description | Data Type | Widget |
|---|---|---|---|
is_mobile_webview | Renders the widget in a mobile WebView. Executes URL updates in place of the JavaScript event postMessages. | Boolean | All |
language | See the SSO language section for preferred settings. Currently, only U.S. English (en-us) and French (fr and fr-ca) are supported. Defaults to en-us. | String | All |
ui_message_version | Use this to specify which version of postMessage events are triggered. All new implementations must include this option when getting any widget URL and must set it to version 4. Prior versions are deprecated and supported only for existing partners. | Integer | All |
client_redirect_url | A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with oauth_referral_source: "APP" or is_mobile_webview: true. | String | Connect |
color_scheme | Load the Connect widget in the specified color_scheme; options are light and dark. Defaults to light. | String | Connect |
current_institution_code | Load the widget into the credential view for the specified institution. | String | Connect |
current_institution_guid | Load the widget into the credential view for the specified institution. | String | Connect |
current_member_guid | Load to a specific member that contains an error or requires MFA from the most recent job. Takes precedence over current_institution_code. | String | Connect |
disable_background_agg | Set to true or false to explicitly set the value of background_aggregation_is_disabled for new members created through the Connect widget | Boolean | Connect |
include_transactions | When set to false while creating or updating a member, transaction data will not be automatically aggregated. Future manual or background aggregations will not be affected. Defaults to true. | Boolean | Connect |
mode | Loads the Connect widget into the specified mode; options are verification and aggregation. Defaults to aggregation. | String | Connect |
oauth_referral_source | Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER. | String | Connect |
ui_message_webview_url_scheme | Used in postMessages and OAuth redirects in WebViews. Defaults to mx. | String | Connect |
update_credentials (not recommended) | Deprectated This option is now ignored. Connect now behaves as if this was set to true and will wait until the member is done aggregating before completing. This change does not require anyone to update their integration and only affects the timing of the member connected post message. If you strongly feel like you need the old behavior, reach out to support | Boolean | Connect |
hide_mark_as_duplicate | Hides the "mark as duplicate" feature option in the widget. | Boolean | Connections |
hide_partner_managed_members | Hides any "home" memebrs that are managed by a partner. | Boolean | Connections |
selected_institution_guid | Loads the widget to a selected member. | String | Connections |
update_credentials | Loads to the update credential feature for a current member. Optionally used with selected_member_guid. | Boolean | Connections |
hide_account_filter | Hides the account filter feature within the widget | Boolean | Transactions |
selected_account_guid | Loads the widget to a selected account. | String | Transactions |